function ye = fL(y, D, hom)
% FL	Neumann condition at outflow: x-derivative of exact solution
if hom == 1
  ye =  2^(-2.5)*(y.*y*0.25/D - 1).* exp(-y.*y/(8*D))...
    + 2^(-2.5)*((2-y).*(2-y)*0.25/D - 1).*exp(-(2-y).*(2-y)/(8*D));
else
  ye = zeros(size(y));
end
